Subject: Re: [PATCH -next 0/6] Per network namespace netfilter chains

From: Pablo Neira Ayuso <[email-masked]>
Date: Thu, 16 Jul 2015 13:01:46 +0200

On Wed, Jul 15, 2015 at 03:05:00PM -0500, Eric W. Biederman wrote:
> Pablo Neira Ayuso <[email-masked]> writes:
[...]
> >> There are lots of other possible and desirable cleanups but this one is
> >> a core change needed to make the other changes independent small
> >> changes.
> >
> > The state->net field will kill that dev_net(...) ? x : y; all over the
> > code, that would be nice.
> 
> Yes it will.  I intend to do that after this patchset settles so I am
> not dealing with more than one issue at a time.  Otherwise there
> is too much work at once.

Sure, thanks.

> > Some comments on your patchset:
> >
> > * 1/6 netfilter: nf_queue: Don't recompute the hook_list head
> >
> > I already passed this to current nf as you insisted on getting this,
> > and for the sake of correctness, so it's basically already in David's
> > net tree.
> 
> I would have expected this patch to be somewhere.  I did not see
> this change in net-next when I wrote the patchset (which seemed
> like a good approximation of the latest thing available).  If I
> overlooked and the patch has already made it to Dave then my apologies
> for being redundant.
> 
> I still don't see this patch in your pending branch.
> 
> Am I missing something?

It doesn't show yet in net-next, but it's already in net:

http://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=f307170d6e591a48529425b1ed6ca835790995a9

David periodically pulls net into net-next, so it will show there too
at some point.